import { Animated, StyleProp, ViewStyle } from 'react-native';
import { FC, PropsWithChildren } from 'react';
import { Point } from './types';
import AnimatedInterpolation = Animated.AnimatedInterpolation;
type LinearGradientProps = {
    color0: AnimatedInterpolation<string | number>;
    color1: AnimatedInterpolation<string | number>;
    start: Point;
    end: Point;
    gradientStyle?: StyleProp<ViewStyle>;
};
export declare const LinearGradient: FC<PropsWithChildren<LinearGradientProps>>;
export {};
//# sourceMappingURL=LinearGradient.d.ts.map